Bug 1013858 - [abrt] rhythmbox-3.0-3.fc20: rb_list_model_find: Process /usr/bin/rhythmbox was killed by signal 11 (SIGSEGV)
[abrt] rhythmbox-3.0-3.fc20: rb_list_model_find: Process /usr/bin/rhythmbox w...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
abrt_hash:25252e5ad2ed67a26e49792e4c4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-30 20:06 EDT by Matteo Settenvini
Modified: 2014-05-29 19:25 EDT (History)
14 users (show)

See Also:
Fixed In Version: rhythmbox-3.0.3-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-29 19:25:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (38.43 KB, text/plain)
2013-09-30 20:06 EDT, Matteo Settenvini
no flags Details
File: cgroup (160 bytes, text/plain)
2013-09-30 20:06 EDT, Matteo Settenvini
no flags Details
File: core_backtrace (18.75 KB, text/plain)
2013-09-30 20:06 EDT, Matteo Settenvini
no flags Details
File: dso_list (23.00 KB, text/plain)
2013-09-30 20:06 EDT, Matteo Settenvini
no flags Details
File: environ (1.34 KB, text/plain)
2013-09-30 20:07 EDT, Matteo Settenvini
no flags Details
File: exploitable (82 bytes, text/plain)
2013-09-30 20:07 EDT, Matteo Settenvini
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-30 20:07 EDT, Matteo Settenvini
no flags Details
File: maps (102.12 KB, text/plain)
2013-09-30 20:07 EDT, Matteo Settenvini
no flags Details
File: open_fds (1.59 KB, text/plain)
2013-09-30 20:07 EDT, Matteo Settenvini
no flags Details
File: proc_pid_status (943 bytes, text/plain)
2013-09-30 20:07 EDT, Matteo Settenvini
no flags Details
File: var_log_messages (657 bytes, text/plain)
2013-09-30 20:07 EDT, Matteo Settenvini
no flags Details

  None (edit)
Description Matteo Settenvini 2013-09-30 20:06:36 EDT
Description of problem:
Crash after importing 5 FLAC songs in the library (at the end, I guess, since on restart the new songs appeared in matter of seconds). It took a lot of time for the import, and I believe rhythmbox was also scanning the library in the mean time.

Version-Release number of selected component:
rhythmbox-3.0-3.fc20

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        rhythmbox
crash_function: rb_list_model_find
executable:     /usr/bin/rhythmbox
kernel:         3.11.1-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 rb_list_model_find at rb-list-model.c:179
 #1 rb_list_model_remove_item at rb-list-model.c:277
 #2 task_expired at rb-task-list.c:138
 #7 g_main_context_iteration at gmain.c:3773
 #8 g_application_run at gapplication.c:1635
 #9 rb_application_run at rb-application.c:646
Comment 1 Matteo Settenvini 2013-09-30 20:06:41 EDT
Created attachment 805645 [details]
File: backtrace
Comment 2 Matteo Settenvini 2013-09-30 20:06:44 EDT
Created attachment 805646 [details]
File: cgroup
Comment 3 Matteo Settenvini 2013-09-30 20:06:49 EDT
Created attachment 805647 [details]
File: core_backtrace
Comment 4 Matteo Settenvini 2013-09-30 20:06:54 EDT
Created attachment 805648 [details]
File: dso_list
Comment 5 Matteo Settenvini 2013-09-30 20:07:11 EDT
Created attachment 805649 [details]
File: environ
Comment 6 Matteo Settenvini 2013-09-30 20:07:15 EDT
Created attachment 805650 [details]
File: exploitable
Comment 7 Matteo Settenvini 2013-09-30 20:07:18 EDT
Created attachment 805651 [details]
File: limits
Comment 8 Matteo Settenvini 2013-09-30 20:07:22 EDT
Created attachment 805652 [details]
File: maps
Comment 9 Matteo Settenvini 2013-09-30 20:07:26 EDT
Created attachment 805653 [details]
File: open_fds
Comment 10 Matteo Settenvini 2013-09-30 20:07:37 EDT
Created attachment 805654 [details]
File: proc_pid_status
Comment 11 Matteo Settenvini 2013-09-30 20:07:40 EDT
Created attachment 805655 [details]
File: var_log_messages
Comment 12 Adam Williamson 2013-12-09 12:51:46 EST
I've been transferring a large number of songs to an SD card, and doing a few library cleanups (= file renames, moves, and re-imports into RB) as I go. I've hit this crash five times now.
Comment 13 Cristian Aravena Romero 2013-12-21 17:34:47 EST
Another user experienced a similar problem:

Crash.

reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        rhythmbox
crash_function: rb_list_model_find
executable:     /usr/bin/rhythmbox
kernel:         3.11.10-301.fc20.x86_64
package:        rhythmbox-3.0.1-1.fc20
reason:         rhythmbox killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Christian Klomp 2013-12-24 15:22:02 EST
I have the same problem with importing flac files.
First I couldn't import them because the flac rpm wasn't installed and after installing it Rhythmbox now crashes while trying to import them.
Comment 15 Carlos Manso 2013-12-26 10:54:46 EST
Same for me here, this time importing mp3 files, althought I have bunch of flac files in my library, if you want more information I can reproduce the crash whenever I want :)
This is the output in the terminal if it's of some help:
(rhythmbox:5043): Rhythmbox-CRITICAL **: rb_list_model_remove: assertion 'index >= 0' failed

(rhythmbox:5043): Rhythmbox-CRITICAL **: rb_list_model_remove: assertion 'index >= 0' failed

(rhythmbox:5043): Rhythmbox-CRITICAL **: rb_list_model_remove: assertion 'index >= 0' failed

(rhythmbox:5043): Rhythmbox-CRITICAL **: rb_list_model_remove: assertion 'index >= 0' failed

(rhythmbox:5043): Rhythmbox-CRITICAL **: rb_list_model_remove: assertion 'index >= 0' failed
Segmentation fault (core dumped)
Comment 16 Thomas 2014-04-10 04:40:11 EDT
I just imported my music library.. it listed all music files in the mainfolder but didnt seem to recognize the subfolders. I just wanted to try it quick, aborted it then and just listened to the music, that was already playing when it suddenly died - so my guess is, it is hanging somewhere while scanning through subfolders - and maybe that thread timing out causes a crash *wild guess*
Comment 17 Brian J. Murrell 2014-05-21 14:32:16 EDT
And I too am hitting this failure, according to abrt.  Will there be any update to fix it?  It makes RB pretty useless to not be able to import music into it.
Comment 18 Brian J. Murrell 2014-05-21 16:33:21 EDT
This is opened in an upstream bug at https://bugzilla.gnome.org/show_bug.cgi?id=724931 with a request to confirm if "commit fa1a2e8" fixes it.

Can we get a new revision of this with the above applied?
Comment 19 Adam Williamson 2014-05-21 17:07:57 EDT
I should be able to do a scratch build, just a sec.
Comment 20 Adam Williamson 2014-05-21 17:11:39 EDT
Both F20 and Rawhide are on 3.0.2, which includes that commit. They've been on it since around March 23rd, looks like. If you've hit this crash since then, with rhythmbox 3.0.2 installed, we can likely re-open the upstream bug report. You should be able to check from abrt when was the most recent time you've hit this crash, and compare it to the date rhythmbox got updated to 3.0.2 from 'yum history rhythmbox | less'.
Comment 21 Brian J. Murrell 2014-05-22 07:41:35 EDT
So then why won't abrt upload data to this bug about the new version so that it can be pointed to by upstream because they are surely going to want to see a stack trace, etc. from the new version that they think it's fixed in.
Comment 22 Adam Williamson 2014-05-22 14:45:15 EDT
if abrt sends you to an existing report, it's because it thinks the trace you're hitting matches the trace in that bug report. so in this case, when upstream asked you if the trace was the same, it'd be fairly safe to say 'yes'. of course, eyeballing it is always the *best* thing to do, so thanks for that.
Comment 23 Brian J. Murrell 2014-05-23 10:03:58 EDT
Looks like upstream has a fix for this:

https://bugzilla.gnome.org/show_bug.cgi?id=724931#c8

I wonder if we can get a build with that patch applied.
Comment 24 Adam Williamson 2014-05-23 15:09:04 EDT
Was already working on it. Patched build is sent to Rawhide already, for F20 I have a scratch build running:

http://koji.fedoraproject.org/koji/taskinfo?taskID=6883650

please let me know if that helps.
Comment 25 Brian J. Murrell 2014-05-23 15:18:08 EDT
(In reply to Adam Williamson from comment #24)
> Was already working on it.

:-)

> for F20
> I have a scratch build running:
> 
> http://koji.fedoraproject.org/koji/taskinfo?taskID=6883650
> 
> please let me know if that helps.

Tons!  No more crashing.

Much thanks Adam!
Comment 26 Adam Williamson 2014-05-23 16:10:50 EDT
No problems. I guess I'll send it out as an update, then.
Comment 27 Fedora Update System 2014-05-23 17:00:20 EDT
rhythmbox-3.0.2-1.fc20.2 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rhythmbox-3.0.2-1.fc20.2
Comment 28 Fedora Update System 2014-05-24 19:25:23 EDT
Package rhythmbox-3.0.2-1.fc20.2:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rhythmbox-3.0.2-1.fc20.2'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-6638/rhythmbox-3.0.2-1.fc20.2
then log in and leave karma (feedback).
Comment 29 Fedora Update System 2014-05-25 08:44:42 EDT
rhythmbox-3.0.3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rhythmbox-3.0.3-1.fc20
Comment 30 Fedora Update System 2014-05-29 19:25:03 EDT
rhythmbox-3.0.3-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.